Description

The IssuesController#retrieve_default_query method to retrieve the default issue query checks if a query is explicitly specified in the

session and the existence of the query.

Although the check for the existence is only necessary when session[:issue_query][:id] is set, the current code performs a query

against the queries table even when session[:issue_query][:id] is nil. This causes an unnecessary query that checks if a row with

id=NULL exists.

  IssueQuery Exists? (0.1ms)  SELECT 1 AS one FROM "queries" WHERE "queries"."type" = ? AND "queri

es"."id" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

 The attached patch changes to skip the unnecessary query when session[:issue_query][:id] is nil.

Associated revisions

Revision 22854 - 2024-06-04 11:37 - Go MAEDA

Reduce an extra SQL query in IssuesController#retrieve_default_query (#40775).

Patch by Go MAEDA (@maeda).

History

#1 - 2024-06-03 08:21 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#2 - 2024-06-04 11:38 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22854.

Files

optimize-retrieve_default_query.patch 822 Bytes 2024-06-02 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-03-29 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/22854
http://www.tcpdf.org

